WG14 Issues - CIM Issues #5318

Address modeling is too complex
02/22/2022 09:55 AM - Henry Dotson

Status: Review

Priority: High

Target version:

Author/Contact Info:  Jim Hosrtman / Standard(s):

jim.horstman@strateture.com

Base Release: CIM 101 Version:

Solution to be CIM 101 Clause:

Applied To:

Solution Version: Edition 4 Sub-Clause:

Solution Applied By: Paragraph:

Completion Date: Table:

CIM Keywords: 61968-Common Originally Closed in
Version:

Breaking Change: Yes Origination Date:

Breaking Change The CIM compound data types Origination ID:

Description: StreetAddress and StreetDetail will be

replaced.

CIM Impacted WG14, WG16 Originally Assigned

Groups: To:

Requestor:

Description

The compound datatypes ElectronicAddress, StreetAddress, StreetDetail, TownDetail, and TelephoneNumber have the following
deficiencies:

1. StreetAddress has attributes that have other compound address datatypes
2. ElectronicAddress is not flexible

Related issues:

Related to WG14 Issues - CIM Issues #5237: Eliminate compounds Review
Related to WG14 Issues - CIM Issues #5238: Multiple Address associations Review
Related to WG14 Issues - CIM Issues #5239: Multiple ElectronicAddress associa... Review
Related to WG14 Issues - CIM Issues #5240: Multiple TelephoneNumber associations Review
History

#1 - 02/22/2022 09:56 AM - Henry Dotson

- Subject changed from Address modeling too complex to Address modeling is too complex

#2 - 06/21/2022 09:32 AM - Henry Dotson

- Breaking Change changed from No to Yes

- Breaking Change Description set to The CIM compound data types StreetAddress and StreetDetail will be replaced.
- CIM Keywords 61968-Common added

#3 - 10/14/2023 10:02 AM - Henry Dotson

- Status changed from New to Open

#4 - 10/14/2023 10:02 AM - Henry Dotson

- Status changed from Open to Review

#5 - 10/17/2023 01:38 AM - Henry Dotson
- Related to CIM Issues #5237: Eliminate compounds added

#6 - 10/17/2023 01:50 AM - Henry Dotson
- Related to CIM Issues #5238: Multiple Address associations added

#7 - 10/17/2023 01:53 AM - Henry Dotson
- Related to CIM Issues #5239: Multiple ElectronicAddress associations added

#8 - 10/17/2023 01:55 AM - Henry Dotson
- Related to CIM Issues #5240: Multiple TelephoneNumber associations added

#9 - 12/05/2023 11:43 AM - Henry Dotson

- Author/Contact Info set to Jim Hosrtman / jim.horstman@strateture.com
- Base Release set to CIM 101

- Solution to be Applied To set to CIM 101

- Solution Version set to Edition 4
